Summary:	ØMQ - Zero Message Queue
Name:		zeromq
Version:	2.2.0
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	http://download.zeromq.org/%{name}-%{version}.tar.gz
# Source0-md5:	1b11aae09b19d18276d0717b2ea288f6
URL:		http://www.zeromq.org/
BuildRequires:	autoconf >= 2.12
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ØMQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialised messaging middleware products. ØMQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

%package devel
Summary:	ØMQ library header files for development
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ØMQ
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	zeromq-pthreads-devel

%description devel
ØMQ library header files for development.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ØMQ.

%package static
Summary:	Static ØMQ library
Summary(pl.UTF-8):	Statyczna biblioteka ØMQ
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	zeromq-pthreads-static

%description static
Static ØMQ library.

%description static -l pl.UTF-8
Statyczna biblioteka ØMQ.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%{__autoheader}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libzmq.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzmq.so.1

%files devel
%defattr(644,root,root,755)
%{_includedir}/zmq.h
%{_includedir}/zmq.hpp
%{_includedir}/zmq_utils.h
%{_libdir}/libzmq.so
%{_pkgconfigdir}/libzmq.pc
%{_mandir}/man3/zmq*.3*
%{_mandir}/man7/zmq*.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/libzmq.a
%changelog
* Tue Jul 24 2012 wrobell <wrobell@pld-linux.org> fc44bac
- ver. 2.2.0

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 2cf5d77
- up to 2.1.11

* Mon Oct 24 2011 Karol Krenski <charles@pld-linux.org> e24289c
- updated to 2.1.10
- fixed/updated desc

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> e5356c1
- BR: libstdc++-devel, libtool, libuuid-devel, pkgconfig

* Thu Sep 02 2010 aredridel <aredridel@pld-linux.org> 1b0270a
- 2.0.8

* Mon Jul 12 2010 Elan Ruusamäe <glen@pld-linux.org> 6f214ed
- pldize, manuals to proper package, attrs for executables, full auto* regen,
  package description

* Sun Jul 04 2010 aredridel <aredridel@pld-linux.org> ee66aa7
- initial commit

